Bug 99751 - EDITING : Need to select multiple objects to add Glue Points to table
Summary: EDITING : Need to select multiple objects to add Glue Points to table
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shape-Points
  Show dependency treegraph
 
Reported: 2016-05-09 18:55 UTC by Eric B.
Modified: 2020-06-25 03:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric B. 2016-05-09 18:55:45 UTC
I'm trying to add Glue Point to a table object inside a Draw document. Right now, I need to select two or more objects (any objects, plus the table itself) in order to be able to add Glue Points to the table. If I only select the table, it's impossible to add a Glue Point to the table

Steps:

- Add a table to document
- Select the table.
  - It doesn't matter if you have selected only one of the table's cells or the entire table.
- Select the "Glue Points" button in the standard toolbar
- Select the "Insert Glue Point" button in the Glue Points toolbar
- Try to add the Glue Point by clicking on the table

You will only get the cross-hair cursor when inside the table's border. And clicking inside the table doesn't do anything. When moving the cursor over the table's borders, it turns into a resize cursor instead and if you click there, it will start resizing the column at the edge of the table, which is the same behavior you would get if you were not in "Insert Glue Point" mode.

Now:

- Add a rectangle object (or any other type of objects, including another table) to the same document
- Select both the table and the rectangle
- Select the "Glue Points" button in the standard toolbar
- Select the "Insert Glue Point" button in the Glue Points toolbar
- Try to add the Glue Point by clicking on the table

Now you will be able to add Glue Points along the border of the table. 

Now, why can't we add the Glue Points when we only have one table selected?
Comment 1 Buovjaga 2016-05-13 06:46:42 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha1+
Build ID: 3d27afd26f7b85c46a7c7d08498000b9dbcea1c8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-05-09_02:42:15
Locale: fi-FI (fi_FI)
Comment 2 QA Administrators 2018-06-25 02:40:31 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-06-25 03:53:04 UTC
Dear Eric B.,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug